Katello - Bug #6927

Capsule installer 'succeeds’ very quickly (but fails with no error) if system is not registered.
08/05/2014 04:30 AM - Ivan Necas

Status: Closed
Priority: Normal
Assignee: Ivan Necas
Category: Foreman Proxy Content
Target version: Katello 2.1
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1104781 Red Hat JIRA:
Pull request: https://github.com/Katello/katello-installer
/pull/96
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1104781
Description of problem:

When running a capsule install the install completed within just a few seconds with no error, but there was some information in the

logs:

[ INFO 2014-06-04 11:23:46 main] /usr/share/katello-installer/modules/common/lib/puppet/parser/functions/validate_pulp.rb:21:in

“function_validate_pulp'

[ INFO 2014-06-04 11:23:46 main] /ust/lib/ruby/site_ruby/1.8/puppet/parser/ast/function.rb:33:in “send'

[ INFO 2014-06-04 11:23:46 main] /ust/lib/ruby/site_ruby/1.8/puppet/parser/ast/function.rb:33:in “evaluate’
[ INFO 2014-06-04 11:23:46 main] /ust/lib/ruby/site_ruby/1.8/puppet/parser/ast.rb:73:in “safeevaluate'

[ INFO 2014-06-04 11:23:46 main] /ust/lib/ruby/site_ruby/1.8/puppet/parser/ast/astarray.rb:25:in “evaluate’'
[ INFO 2014-06-04 11:23:46 main] /ust/lib/ruby/site_ruby/1.8/puppet/parser/ast/astarray.rb:20:in “each'

[ INFO 2014-06-04 11:23:46 main] /ust/lib/ruby/site_ruby/1.8/puppet/parser/ast/astarray.rb:20:in “evaluate'
[ INFO 2014-06-04 11:23:46 main] /ust/lib/ruby/site_ruby/1.8/puppet/parser/ast.rb:73:in “safeevaluate'

[ INFO 2014-06-04 11:23:46 main] /ust/lib/ruby/site_ruby/1.8/puppet/parser/ast/ifstatement.rb:25:in “evaluate'
[ INFO 2014-06-04 11:23:46 main] /ust/lib/ruby/site_ruby/1.8/puppet/parser/ast.rb:73:in “safeevaluate'

[ INFO 2014-06-04 11:23:46 main] /ust/lib/ruby/site_ruby/1.8/puppet/parser/ast/astarray.rb:25:in “evaluate'
[ INFO 2014-06-04 11:23:46 main] /ust/lib/ruby/site_ruby/1.8/puppet/parser/ast/astarray.rb:20:in “each'

[ INFO 2014-06-04 11:23:46 main] /ust/lib/ruby/site_ruby/1.8/puppet/parser/ast/astarray.rb:20:in “evaluate’'
[ INFO 2014-06-04 11:23:46 main] /ust/lib/ruby/site_ruby/1.8/puppet/parser/ast.rb:73:in “safeevaluate'

looking at /usr/share/katello-installer/modules/common/lib/puppet/parser/functions/validate_pulp.rb:21:in “function_validate_pulp'

revealed:

raise Puppet::ParseError,

"The system has to be registered to a Katello instance before installing the node"

for some reason this exception did not trickle up to kafo.

Related issues:
Related to Kafo - Bug #6978: Report validation messages to the end user Closed 08/07/2014

Associated revisions

Revision 63ec5eeb - 08/05/2014 06:45 AM - lvan Necas

Refs #6927 - remove check around pulp capsule prerequsites

The check was moved to the pre_validations hooks

Revision 63ec5eeb - 08/05/2014 06:45 AM - lvan Necas

Refs #6927 - remove check around pulp capsule prerequsites

The check was moved to the pre_validations hooks
Revision 9cc5e8e2 - 08/05/2014 06:48 AM - lvan Necas

Refs #6927 - remove pulp capsule validation from the puppet functions
The logic was moved to pre_validations kafo hooks

Revision 497d3584 - 08/13/2014 03:20 AM - lvan Necas

Fixes #6927 - move checks on pulp capsule preconditions to pre_validate hook
Revision bc6cfa03 - 08/13/2014 03:22 AM - lvan Necas

Merge pull request #96 from iNecas/issue/6927

Fixes #6927 - move checks on pulp capsule preconditions to pre_validate hook
Revision 6298319e - 10/15/2014 08:33 AM - Ivan Necas

Merge pull request #14 from iNecas/issue/6927

Refs #6927 - remove check around pulp capsule prerequsites

Revision 6298319e - 10/15/2014 08:33 AM - Ivan Necas

Merge pull request #14 from iNecas/issue/6927

Refs #6927 - remove check around pulp capsule prerequsites

Revision 548e1911 - 10/23/2014 09:58 AM - lvan Necas

Fixes #6927 - make the subscription identity check language independent

Check exit status of “subscription-manager identity” should be enough to find
out if the system was registered or not.

Revision f7f49591 - 11/03/2014 09:47 AM - Ivan Necas

Merge pull request #132 from iNecas/issue/6927

Fixes #6927 - make the subscription identity check language independent
Revision 9735bddf - 12/08/2014 02:17 AM - Ivan Necas

Merge pull request #3 from iNecas/issue/6927

Refs #6927 - remove pulp capsule validation from the puppet functions

Revision 0a87a91d - 01/13/2015 11:57 AM - Stephen Benjamin

refs #6927, et al. - update capsule module

Revision e28f22cf - 01/19/2015 03:26 AM - Stephen Benjamin
Merge pull request #162 from stbenjam/6927

refs #6927, et al. - update capsule module

History

#1 - 08/05/2014 06:25 AM - lvan Necas
- Status changed from New to Assigned
- Target version set to 54

- Difficulty set to easy

#2 - 08/05/2014 06:46 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/Katello/katello-installer/pull/96 added
- Pull request deleted ()

#3 - 08/05/2014 07:52 PM - Eric Helms

- Triaged changed from No to Yes
#4 - 08/07/2014 05:13 AM - lvan Necas
- Related to Bug #6978: Report validation messages to the end user added

#5 - 08/13/2014 04:01 AM - Ivan Necas
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello-installer|497d358467e8ed9e0142c91aa5ce953c27eee80a.

#6 - 08/22/2014 09:25 AM - Eric Helms

- translation missing: en.field_release set to 13

#7 - 10/23/2014 10:15 AM - Ivan Necas
- Status changed from Closed to Assigned
- Target version changed from 54 to 59

- translation missing: en.field_release changed from 13 to 24

#8 - 10/28/2014 12:47 PM - Eric Helms

- Status changed from Assigned to Closed

#9 - 12/02/2014 02:15 PM - Eric Helms

- translation missing: en.field_release changed from 24 to 14
